
public class Employee extends Person implements Comparable {

	int id;
	
	Employee()
	{
		this.id = 0;
		System.out.println("in employee default constructor");
	}
	
	Employee (int id)
	{
		this.id = id;
		System.out.println("in employee id constructor");
	}
	
	Employee (String n, int a,  int s, int id)
	{
		super(a, n, s);
		this.id = id;
		System.out.println("in employee 4 param constructor");
	}
	
	Employee (String n)
	{
		super(n);
		this.id = 0;
		System.out.println("in employee name constructor");
	}
	
	
	
	public int getId()
	{
		return id;
	}
	
	public void setId(int i)
	{
		this.id = i;
	}

	@Override
	public int compareTo(Object otherObject) {
		Employee other = (Employee) otherObject;
		if (this.id < other.id) return -1;
		if (this.id > other.id) return 1;
		return 0; 
	}
	

}


